<?php
   include("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

	 header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
      date_default_timezone_set("America/Mexico_City");
   $actuals=date("Y/m/d");
    //fin validar session
  $toti=0;
   $id_cd=$sesion->id;
   echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>";
   
   $tipo = $_POST["pago"];
   if($tipo=="Pagar Regalias"){
   echo"<center><font size=\"5\"><b>Regalias depositadas en banco</b><br><br></font><form name=\"transito\" action=\"pagarruta2cd.php\" method=\"post\">
   
   Fecha de deposito: <input type=\"text\" name=\"fecha_i\" value=\"$actuals\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"><br><br>
   
   <table border=\"1\" align=\"center\"><th>ID</th><th>Nombre</th><th>Restante</th><th>Impuestos</th><th>Depositado</th><th>CD</th><th>Banco</th><th>Cuenta</th><th>Folio</th>";
     $fruit = $_POST["regas"];
     $how_many = count($fruit); 
 for ($i=0; $i<$how_many; $i++) {
  
	 $qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, apagar, impuestos, pagado, cd, banco.nombre as elbanco, nocuenta, status, idbanco FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE idreg=$fruit[$i]";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
while (($objetoPP = mysql_fetch_object($rPP))) {
 echo"
			<tr> <td>$objetoPP->idreg</td><td>$objetoPP->elnombre $objetoPP->appat $objetoPP->apmat</td><td><input type=\"text\" size=\"8\" name=\"apagar$i\" value=\"$objetoPP->apagar\"></td>
			<td><input type=\"text\" size=\"8\" name=\"impuestos$i\" value=\"$objetoPP->impuestos\"></td><td><input type=\"text\" size=\"8\" name=\"pagado$i\" value=\"$objetoPP->pagado\"></td><td>$objetoPP->cd</td>
             <td>$objetoPP->elbanco</td><td name='Coun'>$objetoPP->nocuenta</td><td><input type=\"text\" name=\"folio$i\" value=\"\"></td>
             </td></tr><input type=hidden name=idr$i value=$objetoPP->idreg><input type=hidden name=banco$i value=$objetoPP->idbanco><input type=hidden name=cuenta$i value=$objetoPP->nocuenta> 
             ";$x++;$toti+=1;
 
}

echo " ";

 
     }
         echo "</table><br><br><br><input type=hidden name=cuenta value=$toti><input type=\"submit\" name=\"Agregar depositos a sistema\" id=\"aceptar\" value=\"Agregar Depositos a Sistema\" />
<br><br>";

 }
 
 if($tipo=="Cuenta Mal"){
	   echo"<center><font size=\"5\"><b>Regalias con cuenta bancaria erronea</b><br><br></font><form name=\"transito\" action=\"cta_mal.php\" method=\"post\">
   
   
   
   <table border=\"1\" align=\"center\"><th>ID</th><th>Nombre</th><th>CD</th><th>Banco</th><th>Cuenta</th><th>Observaciones</th>";
     $fruit = $_POST["regas"];
     $how_many = count($fruit); 
 for ($i=0; $i<$how_many; $i++) {
  
	 $qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, apagar, impuestos, pagado, cd, banco.nombre as elbanco, nocuenta, status, idbanco FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE idreg=$fruit[$i]";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
while (($objetoPP = mysql_fetch_object($rPP))) {
 echo"
			<tr> <td>$objetoPP->idreg</td><td>$objetoPP->elnombre $objetoPP->appat $objetoPP->apmat</td><td>$objetoPP->cd</td>
             <td>$objetoPP->elbanco</td><td name='Coun'>$objetoPP->nocuenta</td><td><input type=\"text\" name=\"folio$i\" value=\"\"></td>
             </td></tr><input type=hidden name=idr$i value=$objetoPP->idreg><input type=hidden name=banco$i value=$objetoPP->idbanco><input type=hidden name=cuenta$i value=$objetoPP->nocuenta> 
             ";$x++;$toti+=1;
 
}

echo " ";

 
     }
         echo "</table><br><br><br><input type=hidden name=cuenta value=$toti><input type=\"submit\" name=\"Agregara\" id=\"aceptar\" value=\"Enviar a Regalias con cuenta erronea\" />
<br><br>";

 }
	 
 
 if($tipo=="Regresar a Por Pagar"){
	 
	  echo"<center><font size=\"5\"><b>Regalias a Regresar a Por Pagar</b><br><br></font><form name=\"transito\" action=\"rutaaporpagar.php\" method=\"post\">
   
   
   
   <table border=\"1\" align=\"center\"><th>ID</th><th>Nombre</th><th>Banco</th><th>Cantidad</th><th>Cuenta</th><th>Folio</th>";
     $fruit = $_POST["regas"];
     $how_many = count($fruit); 
 for ($i=0; $i<$how_many; $i++) {
  
	 $qPP = "SELECT idreg, inversionista.nombre as elnombre, appat, apmat, apagar, banco.nombre as elbanco, nocuenta, status FROM `regs2` join inversionista on 
    inversionista.id_inver=regs2.id_inver left join banco on banco.idbanco=inversionista.banco_idbanco WHERE idreg=$fruit[$i]";
$rPP = mysql_query($qPP) or die ('ErrPP: '. mysql_error());
while (($objetoPP = mysql_fetch_object($rPP))) {
 echo"
			<tr> <td>$objetoPP->idreg</td><td>$objetoPP->elnombre $objetoPP->appat $objetoPP->apmat</td><td><input type=\"text\" size=\"8\" name=\"apagar$i\" value=\"$objetoPP->apagar\"></td>
			
             <td>$objetoPP->elbanco</td><td name='Coun'>$objetoPP->nocuenta</td><td><input type=\"text\" name=\"folio$i\" value=\"\"></td>
             </td></tr><input type=hidden name=idr$i value=$objetoPP->idreg> 
             ";$x++;$toti+=1;
 
}

echo " ";

 
     }
         echo "</table><br><br><br><input type=hidden name=cuenta value=$toti><input type=\"submit\" name=\"Agregara\" id=\"aceptar\" value=\"Regresar a por Pagar\" />
<br><br>";
 }
 
?>